
public class Class515 {

   Class325 aClass325_6069 = new Class325();
   Class325 aClass325_6070 = new Class325();
   boolean aBool6071 = true;
   Class325 aClass325_6072 = new Class325();
   boolean aBool6073;
   Class515 aClass515_6074;
   boolean aBool6075 = true;
   protected boolean aBool6076;
   Class515 aClass515_6077;
   Class515 aClass515_6078;
   Class328 aClass328_6079;


   final void method10911(Class325 var1) {
      if(this.aClass515_6077 != null) {
         Class325 var2 = new Class325(var1);
         var2.method5857(this.aClass515_6077.method10914());
         this.method10916(var2);
      } else {
         this.method10916(var1);
      }

   }

   public final Class325 method10912() {
      return this.aClass325_6069;
   }

   public final Class325 method10913() {
      if(this.aBool6071) {
         this.aBool6071 = false;
         this.aClass325_6070.method5863(this.aClass325_6069);
         if(this.aClass515_6077 != null) {
            this.aClass325_6070.method5857(this.aClass515_6077.method10913());
         }
      }

      return this.aClass325_6070;
   }

   final Class325 method10914() {
      if(this.aBool6075) {
         this.aBool6075 = false;
         this.aClass325_6072.method5863(this.method10913());
         this.aClass325_6072.method5856();
      }

      return this.aClass325_6070;
   }

   final Class328 method10915() {
      if(this.aBool6073) {
         this.aBool6073 = false;
         this.aClass328_6079.method5990(this.method10913());
      }

      return this.aClass328_6079;
   }

   final void method10916(Class325 var1) {
      this.aClass325_6069.method5863(var1);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   public final void method10917(Class321 var1) {
      this.aClass325_6069.aClass321_4032.method5775(var1);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   public final void method10918(Class326 var1) {
      this.aClass325_6069.aClass326_4031.method5894(var1);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   final void method10919() {
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

      if(this.aClass515_6074 != null) {
         this.aClass515_6074.method10919();
      }

   }

   final void method10920(Class325 var1) {
      if(this.aClass515_6077 != null) {
         Class325 var2 = new Class325(var1);
         var2.method5857(this.aClass515_6077.method10914());
         this.method10916(var2);
      } else {
         this.method10916(var1);
      }

   }

   final void method10921() {
      this.aBool6071 = true;
      this.aBool6075 = true;
      this.aBool6073 = true;
      this.aBool6076 = true;
   }

   final void method10922(Class325 var1) {
      if(this.aClass515_6077 != null) {
         Class325 var2 = new Class325(var1);
         var2.method5857(this.aClass515_6077.method10914());
         this.method10916(var2);
      } else {
         this.method10916(var1);
      }

   }

   public final void method10923() {
      Class515 var1;
      if(this.aClass515_6077 != null) {
         var1 = this.aClass515_6077.aClass515_6078;
         if(var1 == this) {
            this.aClass515_6077.aClass515_6078 = this.aClass515_6074;
         } else {
            while(var1.aClass515_6074 != this) {
               var1 = var1.aClass515_6074;
            }

            var1.aClass515_6074 = this.aClass515_6074;
         }
      }

      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
         var1 = this.aClass515_6078;

         while(true) {
            var1.aClass325_6069.method5857(this.aClass325_6069);
            var1.aClass515_6077 = this.aClass515_6077;
            if(var1.aClass515_6074 == null) {
               var1.aClass515_6074 = this.aClass515_6077.aClass515_6078;
               this.aClass515_6077.aClass515_6078 = this.aClass515_6078;
               break;
            }

            var1 = var1.aClass515_6074;
         }
      }

      this.aClass515_6077 = null;
      this.aClass515_6074 = null;
      this.aClass515_6078 = null;
   }

   public final Class325 method10924() {
      return this.aClass325_6069;
   }

   final Class325 method10925() {
      if(this.aBool6075) {
         this.aBool6075 = false;
         this.aClass325_6072.method5863(this.method10913());
         this.aClass325_6072.method5856();
      }

      return this.aClass325_6070;
   }

   final Class328 method10926() {
      if(this.aBool6073) {
         this.aBool6073 = false;
         this.aClass328_6079.method5990(this.method10913());
      }

      return this.aClass328_6079;
   }

   final Class328 method10927() {
      if(this.aBool6073) {
         this.aBool6073 = false;
         this.aClass328_6079.method5990(this.method10913());
      }

      return this.aClass328_6079;
   }

   final void method10928(Class325 var1) {
      this.aClass325_6069.method5863(var1);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   public final void method10929(Class321 var1) {
      this.aClass325_6069.aClass321_4032.method5775(var1);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   public final void method10930(Class326 var1) {
      this.aClass325_6069.aClass326_4031.method5894(var1);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   public final void method10931(Class321 var1) {
      this.aClass325_6069.aClass321_4032.method5775(var1);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   final void method10932(Class325 var1) {
      if(this.aClass515_6077 != null) {
         Class325 var2 = new Class325(var1);
         var2.method5857(this.aClass515_6077.method10914());
         this.method10916(var2);
      } else {
         this.method10916(var1);
      }

   }

   public final void method10933() {
      Class515 var1;
      if(this.aClass515_6077 != null) {
         var1 = this.aClass515_6077.aClass515_6078;
         if(var1 == this) {
            this.aClass515_6077.aClass515_6078 = this.aClass515_6074;
         } else {
            while(var1.aClass515_6074 != this) {
               var1 = var1.aClass515_6074;
            }

            var1.aClass515_6074 = this.aClass515_6074;
         }
      }

      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
         var1 = this.aClass515_6078;

         while(true) {
            var1.aClass325_6069.method5857(this.aClass325_6069);
            var1.aClass515_6077 = this.aClass515_6077;
            if(var1.aClass515_6074 == null) {
               var1.aClass515_6074 = this.aClass515_6077.aClass515_6078;
               this.aClass515_6077.aClass515_6078 = this.aClass515_6078;
               break;
            }

            var1 = var1.aClass515_6074;
         }
      }

      this.aClass515_6077 = null;
      this.aClass515_6074 = null;
      this.aClass515_6078 = null;
   }

   public final void method10934(Class321 var1) {
      this.aClass325_6069.aClass321_4032.method5775(var1);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   public final void method10935(float var1, float var2, float var3) {
      this.aClass325_6069.aClass326_4031.method5873(var1, var2, var3);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   final void method10936(Class325 var1) {
      if(this.aClass515_6077 != null) {
         Class325 var2 = new Class325(var1);
         var2.method5857(this.aClass515_6077.method10914());
         this.method10916(var2);
      } else {
         this.method10916(var1);
      }

   }

   public final void method10937(Class326 var1) {
      this.aClass325_6069.aClass326_4031.method5894(var1);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   final void method10938(Class325 var1) {
      if(this.aClass515_6077 != null) {
         Class325 var2 = new Class325(var1);
         var2.method5857(this.aClass515_6077.method10914());
         this.method10916(var2);
      } else {
         this.method10916(var1);
      }

   }

   public final void method10939(float var1, float var2, float var3) {
      this.aClass325_6069.aClass326_4031.method5873(var1, var2, var3);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   Class515() {
      new Class317();
      new Class317();
      this.aClass328_6079 = new Class328();
      this.aBool6073 = true;
      this.aBool6076 = true;
      this.aClass515_6077 = null;
      this.aClass515_6078 = null;
      this.aClass515_6074 = null;
   }

   final void method10940() {
      this.aBool6071 = true;
      this.aBool6075 = true;
      this.aBool6073 = true;
      this.aBool6076 = true;
   }

   final void method10941() {
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

      if(this.aClass515_6074 != null) {
         this.aClass515_6074.method10919();
      }

   }

   final void method10942() {
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

      if(this.aClass515_6074 != null) {
         this.aClass515_6074.method10919();
      }

   }

   public final void method10943(Class326 var1) {
      this.aClass325_6069.aClass326_4031.method5894(var1);
      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
      }

   }

   public final void method10944() {
      Class515 var1;
      if(this.aClass515_6077 != null) {
         var1 = this.aClass515_6077.aClass515_6078;
         if(var1 == this) {
            this.aClass515_6077.aClass515_6078 = this.aClass515_6074;
         } else {
            while(var1.aClass515_6074 != this) {
               var1 = var1.aClass515_6074;
            }

            var1.aClass515_6074 = this.aClass515_6074;
         }
      }

      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
         var1 = this.aClass515_6078;

         while(true) {
            var1.aClass325_6069.method5857(this.aClass325_6069);
            var1.aClass515_6077 = this.aClass515_6077;
            if(var1.aClass515_6074 == null) {
               var1.aClass515_6074 = this.aClass515_6077.aClass515_6078;
               this.aClass515_6077.aClass515_6078 = this.aClass515_6078;
               break;
            }

            var1 = var1.aClass515_6074;
         }
      }

      this.aClass515_6077 = null;
      this.aClass515_6074 = null;
      this.aClass515_6078 = null;
   }

   public final void method10945() {
      Class515 var1;
      if(this.aClass515_6077 != null) {
         var1 = this.aClass515_6077.aClass515_6078;
         if(var1 == this) {
            this.aClass515_6077.aClass515_6078 = this.aClass515_6074;
         } else {
            while(var1.aClass515_6074 != this) {
               var1 = var1.aClass515_6074;
            }

            var1.aClass515_6074 = this.aClass515_6074;
         }
      }

      this.method10921();
      if(this.aClass515_6078 != null) {
         this.aClass515_6078.method10919();
         var1 = this.aClass515_6078;

         while(true) {
            var1.aClass325_6069.method5857(this.aClass325_6069);
            var1.aClass515_6077 = this.aClass515_6077;
            if(var1.aClass515_6074 == null) {
               var1.aClass515_6074 = this.aClass515_6077.aClass515_6078;
               this.aClass515_6077.aClass515_6078 = this.aClass515_6078;
               break;
            }

            var1 = var1.aClass515_6074;
         }
      }

      this.aClass515_6077 = null;
      this.aClass515_6074 = null;
      this.aClass515_6078 = null;
   }
}
